# module Tk::Tile::ParseStyleLayout

### Private Instance Methods

_style_layout(lst) click to toggle source

    # File lib/tkextlib/tile.rb, line 302
    def _style_layout(lst)
      ret = []
      until lst.empty?
        sub = [lst.shift]
        keys = {}

        until lst.empty?
          if lst[0][0] == ?-
            k = lst.shift[1..-1]
            children = lst.shift
            children = _style_layout(children) if children.kind_of?(Array)
            keys[k] = children
          else
            break
          end
        end

        sub << keys unless keys.empty?
        ret << sub
      end
      ret
    end